import { defineUserConfig } from "vuepress";
import { removePwaPlugin } from "@vuepress/plugin-remove-pwa"
import theme from "./src/theme.hope.js";

export default defineUserConfig({
  base: "/",

  lang: "zh-CN",
  title: "SilverAg.L",
  description: "his personal blogs",

  temp: ".temp",
  cache: ".cache",
  public: "public",
  dest: "dist",

  theme,

  shouldPrefetch: false,
  plugins: [
    removePwaPlugin({}),
  ],

  head: [
    [
      "link",
      {
        href: "https://fastly.jsdelivr.net/",
        rel: "preconnect",
        crossorigin: "",
      },
    ],
    [
      "link",
      {
        href: "https://fastly.jsdelivr.net/npm/@callmebill/lxgw-wenkai-web@latest/lxgwwenkai-regular/result.css",
        rel: "stylesheet",
      },
    ],
    [
      "link",
      {
        href: "https://fastly.jsdelivr.net/npm/@callmebill/lxgw-wenkai-web@latest/lxgwwenkai-bold/result.css",
        rel: "stylesheet",
      },
    ],
  ],
});
